function [SCN,Fprinc,Faa,Paa,mse] = SC_normalizedoriginalPSD(x,y,Fs)

% Spectral Concentration

[Paa,Faa] = pwelch(x,[],[],[],Fs);
Istart = find(Faa<5,1,'last');
I = find((Faa >= 4) & (Faa <= 12));
[~,In] = max(Paa(I));
DFpos = In + Istart;

[Py,Fy] = pwelch(y,[],[],[],Fs);
Ir = find((Faa >= 0.82*Faa(DFpos) & (Faa <= 1.17*Faa(DFpos))));
SCN = sum(Paa(Ir))/sum(Py);

